footer {
  padding: 32px;
}
footer a {
  text-decoration: none;
  color: white;
}
footer > * {
  flex-shrink: 0;
}
footer .viewport {
  color: white;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  justify-content: space-between;
  max-width: 1200px;
  margin: 0 auto;
}
footer .viewport #site-map {
  display: flex;
  gap: 16px;
}
footer .viewport a {
  font-size: large;
}
footer .viewport #contact-box address {
  font-style: normal;
}
footer .viewport #contact-box address #email-text,
footer .viewport #contact-box address #phone-number {
  font-size: x-large;
}
footer .viewport .copyright {
  margin-top: 10px;
}

@media (max-width: 660px) {
  footer {
    padding: 16px;
  }
}
@media (max-width: 640px) {
  footer #site-map a {
    font-size: medium;
  }
}
@media (max-width: 600px) {
  footer .viewport #site-map {
    display: none;
  }
  footer .viewport #contact-box {
    flex-shrink: 1;
  }
  footer .viewport br {
    display: none;
  }
}